{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('configuration/survey_result/survey_result_chapter/create') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('configuration/survey_result/survey_result_chapter/create') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('configuration_survey_result_edit', {'surveyResultId': surveyResult.getId()}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">{{ surveyResult.getTitle() }}, Kapitel einstellen</span>
        {{ form_widget(surveyResultChapterForm.save, {'label': 'SPEICHERN', 'id': surveyResultChapterForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 p-4">
            <p>
                Bitte geben Sie im ersten Schritt den Titel und die Beschreibung des Kapitels ein.
                Im zweiten Schritt können Sie ein Bild, das zugehörige PDF-Dokument hochladen.
            </p>
            {{ form_start(surveyResultChapterForm, {'attr': {'id': surveyResultChapterForm.vars.id ~ '_form', 'autocomplete': 'off' }}) }}
            {% include 'configuration/form/survey_result/survey_result_chapter_form.html.twig' with {'form': surveyResultChapterForm} only %}
            {{ form_row(surveyResultChapterForm._token) }}
            {{ form_end(surveyResultChapterForm, {'render_rest': false}) }}
        </div>
    </div>
{% endblock %}
